#
# spec file for package libtpms
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define lname libtpms0

Name:           libtpms
Version:        0.5.2
Release:        5.5
Summary:        Library providing Trusted Platform Module (TPM) functionality
License:        BSD-3-Clause
Group:          Development/Libraries
Url:            https://github.com/stefanberger/libtpms
Source0:        https://github.com/stefanberger/libtpms/archive/v%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  mozilla-nspr-devel
BuildRequires:  openssl-devel
BuildRequires:  pkg-config

%description
A library providing TPM functionality for VMs. Targeted for integration
into Qemu.

%package -n %lname
Summary:        Library providing Trusted Platform Module (TPM) functionality
License:        BSD-3-Clause
Group:          Development/Libraries

%description -n %lname
A library providing TPM functionality for VMs. Targeted for integration
into Qemu.

%package        devel
Summary:        Include files for libtpms
Group:          Development/Libraries
Requires:       %{lname} = %{version}
Requires:       libopenssl-devel mozilla-nspr-devel

%description   devel
Libtpms header files and documentation.


%prep
%setup -q

%build
./bootstrap.sh
%configure \
	--with-openssl	\
        --disable-static

make %{?_smp_mflags}

%check
make check

%install
install -d -m 0755 $RPM_BUILD_ROOT%{_libdir}
install -d -m 0755 $RPM_BUILD_ROOT%{_includedir}/libtpms
install -d -m 0755 $RPM_BUILD_ROOT%{_mandir}/man3

make %{?_smp_mflags} install DESTDIR=${RPM_BUILD_ROOT}

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-, root, root, -)
%doc LICENSE README CHANGES
%{_libdir}/%{name}.so.%{version}
%{_libdir}/%{name}.so.0

%files devel
%defattr(-, root, root, -)
%{_libdir}/%{name}.so
%{_libdir}/%{name}.la
%dir %{_includedir}/%{name}
%attr(644, root, root) %{_libdir}/pkgconfig/*.pc
%attr(644, root, root) %{_includedir}/%{name}/*.h
%attr(644, root, root) %{_mandir}/man3/*

%changelog
* Sat Mar 21 2015 p.drouand@gmail.com
- Update to version 0.5.2
  * No entry for this release
- Update project home and download Urls
- Add autoconf, automake and libtool build require; the tarball
  comes from git and configure script has to be generated
* Tue Jan 14 2014 meissner@suse.com
- import 0.5.1
  - software TPM driver library for hooking into QEMU
